curl --request GET \
--url 'https://api.finseo.ai/v1/projects/proj_abc123/fanouts/details?query=best+CRM+for+small+business+2026&timeframe=30d' \
--header "Authorization: Bearer $FINSEO_API_KEY"
import requests
response = requests.get(
f"https://api.finseo.ai/v1/projects/{project_id}/fanouts/details",
headers={"Authorization": "Bearer YOUR_API_KEY"},
params={"query": "best CRM for small business 2026", "timeframe": "30d"}
)
data = response.json()["data"]
print(f"Found {data['totalOccurrences']} occurrences of '{data['query']}'")
for occ in data["occurrences"]:
print(f" {occ['model']} on {occ['timestamp']} — visible: {occ['visible']}")
{
"data": {
"query": "best CRM for small business 2026",
"totalOccurrences": 47,
"occurrences": [
{
"resultId": "uuid-1",
"promptId": "prompt-uuid-1",
"promptText": "What CRM should I use for my startup?",
"brandName": "yourbrand",
"model": "chatgpt",
"timestamp": "2026-03-29T18:42:00Z",
"visible": true,
"mentions": 2
},
{
"resultId": "uuid-2",
"promptId": "prompt-uuid-2",
"promptText": "Best CRM for B2B SaaS",
"brandName": "yourbrand",
"model": "perplexity",
"timestamp": "2026-03-29T15:20:00Z",
"visible": false,
"mentions": 0
}
]
}
}
Fan-outs
Dettagli di un Fan-out
Ottieni i dettagli per singola occorrenza di una query Fan-out — ogni risultato di Tracking le cui query Fan-out contengono esattamente questo testo.
GET
/
v1
/
projects
/
{projectId}
/
fanouts
/
details
curl --request GET \
--url 'https://api.finseo.ai/v1/projects/proj_abc123/fanouts/details?query=best+CRM+for+small+business+2026&timeframe=30d' \
--header "Authorization: Bearer $FINSEO_API_KEY"
import requests
response = requests.get(
f"https://api.finseo.ai/v1/projects/{project_id}/fanouts/details",
headers={"Authorization": "Bearer YOUR_API_KEY"},
params={"query": "best CRM for small business 2026", "timeframe": "30d"}
)
data = response.json()["data"]
print(f"Found {data['totalOccurrences']} occurrences of '{data['query']}'")
for occ in data["occurrences"]:
print(f" {occ['model']} on {occ['timestamp']} — visible: {occ['visible']}")
{
"data": {
"query": "best CRM for small business 2026",
"totalOccurrences": 47,
"occurrences": [
{
"resultId": "uuid-1",
"promptId": "prompt-uuid-1",
"promptText": "What CRM should I use for my startup?",
"brandName": "yourbrand",
"model": "chatgpt",
"timestamp": "2026-03-29T18:42:00Z",
"visible": true,
"mentions": 2
},
{
"resultId": "uuid-2",
"promptId": "prompt-uuid-2",
"promptText": "Best CRM for B2B SaaS",
"brandName": "yourbrand",
"model": "perplexity",
"timestamp": "2026-03-29T15:20:00Z",
"visible": false,
"mentions": 0
}
]
}
}
Restituisce tutti i risultati di Tracking in cui è stata generata questa specifica query Fan-out, inclusi il Prompt di origine, il modello, il timestamp, la visibilità e le Mentions.
Usa questo Endpoint per passare dall’elenco aggregato dei Fan-out (
GET /fanouts) alle singole occorrenze.
string
obbligatorio
L’ID del progetto
string
obbligatorio
Il testo esatto della query Fan-out (il confronto non distingue tra maiuscole e minuscole)
string
predefinito:"90d"
Finestra temporale —
7d, 30d, 90d, 365d, oppure all per cercare tra tutti i Fan-out di semprestring
Data di inizio personalizzata (YYYY-MM-DD)
string
Data di fine personalizzata (YYYY-MM-DD)
string
Tag separati da virgola per filtrare i Prompt di origine
curl --request GET \
--url 'https://api.finseo.ai/v1/projects/proj_abc123/fanouts/details?query=best+CRM+for+small+business+2026&timeframe=30d' \
--header "Authorization: Bearer $FINSEO_API_KEY"
import requests
response = requests.get(
f"https://api.finseo.ai/v1/projects/{project_id}/fanouts/details",
headers={"Authorization": "Bearer YOUR_API_KEY"},
params={"query": "best CRM for small business 2026", "timeframe": "30d"}
)
data = response.json()["data"]
print(f"Found {data['totalOccurrences']} occurrences of '{data['query']}'")
for occ in data["occurrences"]:
print(f" {occ['model']} on {occ['timestamp']} — visible: {occ['visible']}")
{
"data": {
"query": "best CRM for small business 2026",
"totalOccurrences": 47,
"occurrences": [
{
"resultId": "uuid-1",
"promptId": "prompt-uuid-1",
"promptText": "What CRM should I use for my startup?",
"brandName": "yourbrand",
"model": "chatgpt",
"timestamp": "2026-03-29T18:42:00Z",
"visible": true,
"mentions": 2
},
{
"resultId": "uuid-2",
"promptId": "prompt-uuid-2",
"promptText": "Best CRM for B2B SaaS",
"brandName": "yourbrand",
"model": "perplexity",
"timestamp": "2026-03-29T15:20:00Z",
"visible": false,
"mentions": 0
}
]
}
}